Get Agent Details
GET
/api/v3/organizations/{organisation}/ai/agents/{agentId}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Retrieves detailed configuration for a specific AI agent.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
agentId
required
string format: uuid
The agent ID
Responses
Section titled “Responses”Agent details retrieved successfully
Media typeapplication/json
object
agent
object
agentId
string format: uuid
name
string
description
string
group
string
systemPrompt
string
modelId
string
temperature
number
maxTokens
integer
allowedTools
Array<string>
allowedCollections
Array<string>
assignedSkills
Array<string>
longContext
Whether 1M context window is enabled
boolean
guardrailPreset
Guardrail preset name
string
isGlobal
Whether this is a platform-managed global agent
boolean
hasOverlay
Whether the requesting org has a per-org overlay for this global agent
boolean
createdBy
string
createdAt
string format: date-time
updatedAt
string format: date-time
Examplegenerated
{ "agent": { "agentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "group": "example", "systemPrompt": "example", "modelId": "example", "temperature": 1, "maxTokens": 1, "allowedTools": [ "example" ], "allowedCollections": [ "example" ], "assignedSkills": [ "example" ], "longContext": true, "guardrailPreset": "example", "isGlobal": true, "hasOverlay": true, "createdBy": "example", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" }}Access denied
Agent not found
Failed to retrieve agent
